Skip to content

Instantly share code, notes, and snippets.

@mnem mnem/gist:eb76267cd057c27f4070 Secret
Created Jul 10, 2012

Embed
What would you like to do?
info: Welcome to Nodejitsu mnem
info: It worked if it ends with Nodejitsu ok
info: Executing command deploy
info: Analyzing your application dependencies in coffee coffee/web.coffee
warn: Local version appears to be old
warn: Your package.json version will be incremented for you automatically
warn: About to write /Volumes/huzutech_vault/paperbuilder/package.json
data:
data: {
data: engines: { node: '0.6.x' },
data: version: '0.0.11-31',
data: name: 'avatar-compositor',
data: scripts: { start: 'coffee coffee/web.coffee' },
data: subdomain: 'mnem.avatar-compositor',
data: dependencies: {
data: coffee-script: '1.3.x',
data: canvas: '0.12.x',
data: express: '2.5.x',
data: buffertools: '1.x'
data: }
data: }
data:
prompt: Is this ok? (yes):
info: Creating snapshot 0.0.11-31
info: Updating app avatar-compositor
info: Activating snapshot 0.0.11-31 for avatar-compositor
info: Starting app avatar-compositor
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error: There was an error while attempting to deploy your application.
error:
error: NPM Install failed
error: NPM failed to install dependencies
error:
error: This type of error is usually a user error.
error: Error output from Haibu:
error:
error: npm http GET https://registry.npmjs.org/coffee-script
error: npm http GET https://registry.npmjs.org/canvas
error: npm http GET https://registry.npmjs.org/buffertools
error: npm http GET https://registry.npmjs.org/express
error: npm http 200 https://registry.npmjs.org/coffee-script
error: npm http 200 https://registry.npmjs.org/buffertools
error: npm http 200 https://registry.npmjs.org/express
error: npm http 200 https://registry.npmjs.org/canvas
error: npm http GET https://registry.npmjs.org/canvas/-/canvas-0.12.1.tgz
error: npm http GET https://registry.npmjs.org/coffee-script/-/coffee-script-1.3.3.tgz
error: npm http GET https://registry.npmjs.org/express/-/express-2.5.11.tgz
error: npm http GET https://registry.npmjs.org/buffertools/-/buffertools-1.1.0.tgz
error: npm http GET https://registry.npmjs.org/connect
error: npm http GET https://registry.npmjs.org/mime/1.2.4
error: npm http GET https://registry.npmjs.org/qs
error: npm http GET https://registry.npmjs.org/mkdirp/0.3.0
error: npm http 200 https://registry.npmjs.org/mime/1.2.4
error: npm http GET https://registry.npmjs.org/mime/-/mime-1.2.4.tgz
error: npm http 200 https://registry.npmjs.org/qs
error: npm http 200 https://registry.npmjs.org/mkdirp/0.3.0
error: npm http GET https://registry.npmjs.org/qs/-/qs-0.4.2.tgz
error: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.0.tgz
error: npm http 200 https://registry.npmjs.org/connect
error: npm http GET https://registry.npmjs.org/connect/-/connect-1.9.2.tgz
error: id: cannot find name for user ID 501
error: Checking for program g++ or c++ : /opt/local/bin/g++
error: Checking for program cpp : /opt/local/bin/cpp
error: Checking for program ar : /opt/local/bin/ar
error: Checking for program ranlib : /opt/local/bin/ranlib
error: Checking for g++ : ok
error: Checking for node path : ok /opt/haibu/node-versions/0.6.19/lib/node_modules
error: Checking for node prefix : ok /opt/haibu/node-versions/0.6.19
error: Checking for library gif : not found
error: Checking for library jpeg : not found
error: Checking for cairo : not found
error: /opt/haibu/apps/mnem/avatar-compositor/package/node_modules/canvas/wscript:30: error: the configuration failed (see '/opt/haibu/apps/mnem/avatar-compositor/package/node_modules/canvas/build/config.log')
error: npm ERR! canvas@0.12.1 preinstall: `node-waf configure build`
error: npm ERR! `sh "-c" "node-waf configure build"` failed with 1
error: npm ERR!
error: npm ERR! Failed at the canvas@0.12.1 preinstall script.
error: npm ERR! This is most likely a problem with the canvas package,
error: npm ERR! not with npm itself.
error: npm ERR! Tell the author that this fails on your system:
error: npm ERR! node-waf configure build
error: npm ERR! You can get their info via:
error: npm ERR! npm owner ls canvas
error: npm ERR! There is likely additional logging output above.
error:
error: npm ERR! System SunOS 5.11
error: npm ERR! command "node" "/opt/haibu/node-versions/0.6.19/bin/npm" "--cache" "/opt/haibu/apps/mnem/avatar-compositor/.npm" "--userconfig" "/opt/haibu/apps/mnem/avatar-compositor/.userconfig" "--globalconfig" "/opt/haibu/apps/mnem/avatar-compositor/.globalconfig" "install"
error: npm ERR! cwd /opt/haibu/apps/mnem/avatar-compositor/package
error: npm ERR! node -v v0.6.19
error: npm ERR! npm -v 1.1.32
error: npm ERR! code ELIFECYCLE
error: npm ERR! message canvas@0.12.1 preinstall: `node-waf configure build`
error: npm ERR! message `sh "-c" "node-waf configure build"` failed with 1
error: npm http GET https://registry.npmjs.org/formidable
error: npm http 200 https://registry.npmjs.org/formidable
error: npm http GET https://registry.npmjs.org/formidable/-/formidable-1.0.11.tgz
error: gyp ERR! rebuild error Error: Python executable "python" is Python 3, which is not supported.
error: gyp ERR! rebuild error You can set the PYTHON env variable to point to a Python 2 interpreter.
error: gyp ERR! rebuild error at failPython3 (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:90:14)
error: gyp ERR! rebuild error at /opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:79:9
error: gyp ERR! rebuild error at ChildProcess.exithandler (child_process.js:280:7)
error: gyp ERR! rebuild error at ChildProcess.emit (events.js:70:17)
error: gyp ERR! rebuild error at maybeExit (child_process.js:362:16)
error: gyp ERR! rebuild error at Process.onexit (child_process.js:398:5)
error: gyp ERR! not ok
error: npm ERR!
error: npm ERR! Additional logging details can be found in:
error: npm ERR! /opt/haibu/apps/mnem/avatar-compositor/package/npm-debug.log
error: npm ERR! not ok code undefined
error: npm ERR! not ok code 1
error:
info: Nodejitsu not ok
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.